#
# spec file for package rubygem-bson-1_11
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-bson-1_11
Version:        1.11.1
Release:        3.14
%define mod_name bson
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -1_11
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  update-alternatives
Url:            http://www.mongodb.org
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
# PATCH-FIX-UPSTREAM
Patch0:         CVE-2015-4410.patch
Summary:        Ruby implementation of BSON
License:        Apache-2.0
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
A Ruby BSON implementation for MongoDB. For more information about Mongo, see
http://www.mongodb.org. For more information on BSON, see
http://www.bsonspec.org.

%prep
%gem_unpack
#if you need patches, apply them here and replace the # with a % sign in the surrounding lines
%patch0 -p1
find -type f -print0 | xargs -0 touch -r %{S:0}
%gem_build

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="LICENSE" \
  -f

%gem_packages

%changelog
* Wed Mar 23 2016 olaf@aepfle.de
- Force fixed timestamps for patched gems (bsc#916047)
* Mon Jan 18 2016 bwiedemann@suse.com
- add CVE-2015-4410.patch to prevent mongodb data injection and DDOS
  (bnc#933961, CVE-2015-4410)
* Tue Nov  4 2014 tboerger@suse.com
- Initial packaging of 1.11.1
